Skip to content

GET Terraform Parameters for view.

GET
/api/config/namespaces/{namespace}/terraform_parameters/{view_kind}/{view_name}
curl --request GET \
--url https://example-corp.console.ves.volterra.io/api/v1/api/production/us-east-1/namespaces/default/api/config/namespaces/example/terraform_parameters/example/example \
--header 'Authorization: <Authorization>'

Returned from list of terraform parameter objects for a given view.

Examples of this operation.

namespace
required
string

Namespace Namespace for the label to be retrieved.

view_kind
required
string

Kind of View Kind of view of which terraform parameters are requested e.g. Aws_vpc_site, azure_vnet_site.

view_name
required
string

Name of view Name of the view for which terraform parameters are requested.

A successful response.

Media typeapplication/json
GetResponse

Response for GET API.

object
terraform_parameters
object
container_version
Container Version

Container Version used to run the terrafrom.

string
<= 1024 characters
creds
Cloud Credentials

Reference to cloud credentials used in the terraform.

Array<object>
ObjectRefType

This type establishes a ‘direct reference’ from one object(the referrer) to another(the referred). Such a reference is in form of tenant/namespace/name for public API and Uid for private API This type of reference is called direct because the relation is explicit and concrete (as opposed to selector reference which builds a group based on labels of selectee objects)

object
kind
kind

When a configuration object(e.g. Virtual_host) refers to another(e.g route) then kind will hold the referred object’s kind (e.g. “route”)

string
>= 12 characters <= 1024 characters
name
name

When a configuration object(e.g. Virtual_host) refers to another(e.g route) then name will hold the referred object’s(e.g. Route’s) name.

string
>= 6 characters <= 1024 characters
namespace
namespace

When a configuration object(e.g. Virtual_host) refers to another(e.g route) then namespace will hold the referred object’s(e.g. Route’s) namespace.

string
>= 6 characters <= 1024 characters
tenant
tenant

When a configuration object(e.g. Virtual_host) refers to another(e.g route) then tenant will hold the referred object’s(e.g. Route’s) tenant.

string
>= 6 characters <= 1024 characters
uid
uid

When a configuration object(e.g. Virtual_host) refers to another(e.g route) then uid will hold the referred object’s(e.g. Route’s) uid.

string format: uuid
>= 36 characters <= 1024 characters
tf_objects
child_objects

Data specific to child objects.

Array<object>

Any contains an arbitrary serialized protocol buffer message along with a URL that describes the type of the serialized message.

Protobuf library provides support to pack/unpack Any values in the form of utility functions or additional generated methods of the Any type.

Example 1: Pack and unpack a message in C++.

Foo foo = …; Any any; any.packfrom(foo); … If (any.unpackto(&foo)) { … }

Example 2: Pack and unpack a message in Java.

Foo foo = …; Any any = any.pack(foo); … If (any.is(foo.class)) { foo = any.unpack(foo.class); }

Example 3: Pack and unpack a message in Python.

Foo = Foo(…) any = Any() any.pack(foo) … If any.is(foo.descriptor): any.unpack(foo) …

Example 4: Pack and unpack a message in Go

foo := &pb.foo{…} any, err := ptypes.marshalany(foo) … Foo := &pb.foo{} if err := ptypes.unmarshalany(any, foo); err != nil { … }

The pack methods provided by protobuf library will by default use ‘type.googleapis.com/full.type.name’ as the type URL and the unpack methods only use the fully qualified type name after the last ’/’ in the type URL, for example “foo.example.com/x/y.z” will yield type name “y.z”.

JSON

The JSON representation of an Any value uses the regular representation of the deserialized, embedded message, with an additional field @type which contains the type URL. Example:

package google.profile; message Person { string first_name = 1; string last_name = 2; }

{ “@type”: “type.googleapis.com/google.profile.person”, “firstName”: , “lastName”: }

If the embedded message type is well-known and has a custom JSON representation, that representation will be embedded adding a field value which holds the custom JSON in addition to the @type field. Example (for message [google.protobuf.duration][]):

{ “@type”: “type.googleapis.com/google.protobuf.duration”, “value”: “1.212s” }

object
type_url

A URL/resource name that uniquely identifies the type of the serialized protocol buffer message. This string must contain at least one ”/” character. The last segment of the URL’s path must represent the fully qualified name of the type (as in path/google.protobuf.duration). The name should be in a canonical form (e.g., leading ”.” is not accepted).

In practice, teams usually precompile into the binary all types that they expect it to use in the context of Any. However, for URLs which use the scheme HTTP, HTTPS, or no scheme, one can optionally set up a type server that maps type URLs to message definitions as follows:

  • If no scheme is provided, HTTPS is assumed.
  • An HTTP GET on the URL must yield a [google.protobuf.type][] value in binary format, or produce an error.
  • Applications are allowed to cache lookup results based on the URL, or have them precompiled into a binary to avoid any lookup. Therefore, binary compatibility needs to be preserved on changes to types. (Use versioned type names to manage breaking changes.)

Note: this functionality is not currently available in the official protobuf release, and it is not used for type URLs beginning with type.googleapis.com.

Schemes other than HTTP, HTTPS (or the empty scheme) might be used with implementation specific semantics.

string
<= 1024 characters
value

Must be a valid serialized protocol buffer of the above specified type.

string format: byte
>= 3 characters <= 1024 characters
Examplegenerated
{
"terraform_parameters": {
"container_version": "example",
"creds": [
{
"name": "example",
"namespace": "example"
}
],
"tf_objects": [
{
"type_url": "example",
"value": "example"
}
]
}
}

Returned when operation is not authorized.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when there is no permission to access resource.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when resource is not found.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when operation on resource is conflicting with current value.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when operation has been rejected as it is happening too frequently.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when server encountered an error in processing API.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when service is unavailable temporarily.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when server timed out processing request.

Media typeapplication/json
string format: string
Examplegenerated
example